Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.factory
Class DefaultMenuFactory

    java.lang.Object
      com.pietschy.command.factory.DefaultMenuFactory

All Implemented Interfaces:
  Factory, MenuFactory

    public class DefaultMenuFactory

extends java.lang.Object
implements MenuFactory

Default implementation of `MenuFactory` that creates standard swing menus.

Constructor Summary
`DefaultMenuFactory()`

Method Summary
`javax.swing.JCheckBoxMenuItem` | `createCheckBoxMenuItem()` Creates a new `JCheckBoxMenuItem`.
`javax.swing.JMenu` | `createMenu()` Creates a new `JMenu`.
`javax.swing.JMenuBar` | `createMenuBar()` Creates a new `JMenuBar`.
`javax.swing.JMenuItem` | `createMenuItem()` Creates a new `JMenuItem`.
`javax.swing.JPopupMenu` | `createPopupMenu()` Creates a new `JPopupMenu`.
`javax.swing.JRadioButtonMenuItem` | `createRadioButtonMenuItem()` Creates a new `JRadioButtonMenuItem`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMenuFactory

    public DefaultMenuFactory()

Method Detail

### createCheckBoxMenuItem

    public javax.swing.JCheckBoxMenuItem createCheckBoxMenuItem()

  Creates a new `JCheckBoxMenuItem`.

  Specified by:
    `createCheckBoxMenuItem` in interface `MenuFactory`
  Returns:
    a new `JCheckBoxMenuItem`.

### createMenu

    public javax.swing.JMenu createMenu()

  Creates a new `JMenu`.

  Specified by:
    `createMenu` in interface `MenuFactory`
  Returns:
    a new `JMenu`.

### createMenuItem

    public javax.swing.JMenuItem createMenuItem()

  Creates a new `JMenuItem`.

  Specified by:
    `createMenuItem` in interface `MenuFactory`
  Returns:
    a new `JMenuItem`.

### createPopupMenu

    public javax.swing.JPopupMenu createPopupMenu()

  Creates a new `JPopupMenu`.

  Specified by:
    `createPopupMenu` in interface `MenuFactory`
  Returns:
    a new `JPopupMenu`.

### createRadioButtonMenuItem

    public javax.swing.JRadioButtonMenuItem createRadioButtonMenuItem()

  Creates a new `JRadioButtonMenuItem`.

  Specified by:
    `createRadioButtonMenuItem` in interface `MenuFactory`
  Returns:
    a new `JRadioButtonMenuItem`.

### createMenuBar

    public javax.swing.JMenuBar createMenuBar()

  Creates a new `JMenuBar`.

  Specified by:
    `createMenuBar` in interface `MenuFactory`
  Returns:
    a new `JMenuBar`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch